Summary:        Open source cryptography library
Name:           beecrypt
Version:        4.2.1
Release:    1%{?dist}
License:        LGPLv2+
URL:            http://beecrypt.sourceforge.net/
Source0:        https://downloads.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
Patch0:         beecrypt-4.1.2-biarch.patch
Patch1:         beecrypt-4.2.1-no-c++.patch
Patch2:         beecrypt-4.2.1-c99.patch
Patch3:         beecrypt-4.2.1-autoconf-c99.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  m4
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  make

%description
BeeCrypt is an ongoing project to provide a strong and fast cryptography
toolkit. Includes entropy sources, random generators, block ciphers, hash
functions, message authentication codes, multiprecision integer routines
and public key primitives.

%package devel
Summary:        Development files for the beecrypt toolkit and library
Requires:       %{name} = %{version}-%{release}

%description devel
The beecrypt-devel package includes header files and libraries necessary
for developing programs which use the beecrypt C toolkit and library. And
beecrypt is a general-purpose cryptography library.

%if 0%{!?_without_apidocs:1}
%package apidocs
Summary:        API documentation for beecrypt toolkit and library
BuildRequires:  tetex-dvips
BuildRequires:  tetex-latex
BuildRequires:  graphviz
BuildRequires:  doxygen

%description apidocs
Beecrypt is a general-purpose cryptography library. This package contains
API documentation for developing applications with beecrypt.
%endif

%prep
%setup -q
%patch0 -p1 -b .biarch
%patch1 -p1 -b .no-c++
%patch2 -p1 -b .c99
%patch3 -p1 -b .autoconf-c99
libtoolize
autoreconf -i

%build
%configure --with-cplusplus=no --with-java=no --with-python=no
%make_build

%if 0%{!?_without_apidocs:1}
cd include/beecrypt
doxygen
cd ../..
%endif

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.{a,la}

iconv -f ISO-8859-1 -t UTF-8 CONTRIBUTORS -o CONTRIBUTORS.utf8
touch -c -r CONTRIBUTORS CONTRIBUTORS.utf8
mv -f CONTRIBUTORS.utf8 CONTRIBUTORS


%files
%license COPYING COPYING.LIB
%doc AUTHORS BENCHMARKS CONTRIBUTORS NEWS README
%{_libdir}/libbeecrypt.so.*

%files devel
%doc BUGS 
%{_includedir}/%{name}
%{_libdir}/libbeecrypt.so

%if 0%{!?_without_apidocs:1}
%files apidocs
%doc docs/html
%endif

%changelog
* Fri Jun 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.2.1-1
- initial build
